#docker-compose.yml
version: "3.3"
services:

  helferlein:
     logging:
      driver: loki
      options:
        loki-url: "http://localhost:3100/loki/api/v1/push"
     image: dalareo/wordpress-ldap
     container_name: helferlein
     restart: unless-stopped
     ports:
      - "8082:80"
     volumes:
      - /home/icke/helferlein/:/var/www/html
      - /home/icke/helferlein/uploads.ini:/usr/local/etc/php/conf.d/uploads.ini
     links:
      - mysql-helferlein
     environment:
      WORDPRESS_DB_HOST: mysql-helferlein
      WORDPRESS_DB_USER: wordpress
      WORDPRESS_DB_NAME: helferlein
      WORDPRESS_DB_PASSWORD: eccmts42*
     networks:
       helferlein:
         ipv4_address: 172.24.0.2

  mysql-helferlein:
    logging:
      driver: loki
      options:
        loki-url: "http://localhost:3100/loki/api/v1/push"
    image: mysql:5.7
    container_name: mysql-helferlein
#    ports:
#     - "6607:3306"
#    links: wordpress-doku
    environment:
#     - default-authentication-plugin=mysql_native_password
     - MYSQL_ROOT_PASSWORD=eccmts42*
     - MYSQL_DATABASE=helferlein
     - MYSQL_USER=wordpress
     - MYSQL_PASSWORD=eccmts42*
    volumes:
     - /home/icke/mysql-helferlein/var:/var/lib/mysql
    restart: unless-stopped
    networks:
      helferlein:
        ipv4_address: 172.24.0.3

  phpmyadmin:
    logging:
      driver: loki
      options:
        loki-url: "http://localhost:3100/loki/api/v1/push"
    image: phpmyadmin/phpmyadmin
    container_name: phpmyadmin
    links:
      - mysql-helferlein
    environment:
      PMA_HOST: mysql-helferlin
      PMA_ARBITRARY: 1
    restart: unless-stopped
    ports:
      - 8183:80
    networks:
      helferlein:
        ipv4_address: 172.24.0.4


networks:
  helferlein:
    driver: bridge
    ipam:
     config:
       - subnet: 172.24.0.0/29

volumes:
  helferlein:
  mysql-helferlein:
  phpmyadmin:
